using System;
using System.IO;
using System.Text;

namespace KeepersCompound.LGS.Database.Chunks;

public class GamFile : IChunk
{
    public ChunkHeader Header { get; set; }
    public string fileName;

    public void ReadData(BinaryReader reader, DbFile.TableOfContents.Entry entry)
    {
        var tmpName = Encoding.UTF8.GetString(reader.ReadBytes(256)).Replace("\0", string.Empty);
        fileName = tmpName[..Math.Min(255, tmpName.Length)];
    }

    public void WriteData(BinaryWriter writer)
    {
        throw new System.NotImplementedException();
    }
}